2026-10-23 12.00 UTC - There are currently no active events. All systems operational.

Partially update traffic signal

Prev Next
Patch
/el_traffic_signals/{id}/

Updates traffic signal fields. When heads is omitted, existing signal heads are preserved. When heads is supplied, entries with an id update existing heads, entries without an id create new heads, and existing heads omitted from the request are deleted. order_no values must be unique per traffic signal. warranty_exp_date is read-only.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Path parameters
id
integerRequired

Traffic signal ID.

Body parameters

Traffic signal attributes to update.

Expand All
object
additional_information
string
angle
number (float)
color
integer

ID of a TS_COLOR constant.

contractor
integer

ID of a TS_CONTRACTOR constant.

group_cleaning_date
string (date)
heads
Array of object (FlatElTrafficSignalHead)

Signal heads. Supplying this field replaces the signal's current heads.

object
head_type
integer

ID of a TS_HEAD_TYPE constant.

id
integer

Existing signal head ID. Omit to create a new head.

light_source
integer

ID of a TS_LIGHT_SOURCE constant.

order_no
integer Required

Unique row order within the traffic signal.

power
integer

ID of a TS_HEAD_POWER constant.

height_accuracy
integer

Height accuracy constant ID.

identification
string
ik_class
integer

ID of a TS_IK_CLASS constant.

install_date
string (date)
install_height
number (float)
installation_type
integer

ID of a TS_INSTALLATION_TYPE constant.

ip_class
integer

ID of a TS_IP_CLASS constant.

latest_warranty_fix_date
string (date)
location
string (ewkt)
location_accuracy
integer

Location accuracy constant ID.

manufacturer
integer

ID of a TS_MANUFACTURER constant.

mapper
string
mapping_date
string (date)
mapping_method
integer

Mapping method constant ID.

model
integer

ID of a TS_MODEL constant.

network_area
integer

Electric division ID.

owner
integer

ID of a TS_OWNER constant.

plan
integer

Plan ID.

pole
integer

Electric pole ID.

protection
integer

ID of a TS_PROTECTION constant.

remarks
string
scale
number (float)
signal_type
integer

ID of a TS_SIGNAL_TYPE constant.

supply_cable
integer

ID of a TS_SUPPLY_CABLE constant.

survey_amount
string
usage_state
integer

ID of a TS_STATE constant.

warranty_fix_type
integer

ID of a TS_WARRANTY_FIX_TYPE constant.

warranty_period
integer

Warranty period in months.

Responses
200

Updated traffic signal.

Expand All
object
additional_information
string
angle
number (float)
color
integer

ID of a TS_COLOR constant.

contractor
integer

ID of a TS_CONTRACTOR constant.

creation_date
string (date-time)
creator
string
group_cleaning_date
string (date)
heads
Array of object (FlatElTrafficSignalHead)

Signal heads. Supplying this field replaces the signal's current heads.

object
head_type
integer

ID of a TS_HEAD_TYPE constant.

id
integer

Existing signal head ID. Omit to create a new head.

light_source
integer

ID of a TS_LIGHT_SOURCE constant.

order_no
integer

Unique row order within the traffic signal.

power
integer

ID of a TS_HEAD_POWER constant.

height_accuracy
integer

Height accuracy constant ID.

id
integer

Traffic signal ID.

identification
string
ik_class
integer

ID of a TS_IK_CLASS constant.

install_date
string (date)
install_height
number (float)
installation_type
integer

ID of a TS_INSTALLATION_TYPE constant.

ip_class
integer

ID of a TS_IP_CLASS constant.

latest_warranty_fix_date
string (date)
location
string (ewkt)
location_accuracy
integer

Location accuracy constant ID.

manufacturer
integer

ID of a TS_MANUFACTURER constant.

mapper
string
mapping_date
string (date)
mapping_method
integer

Mapping method constant ID.

model
integer

ID of a TS_MODEL constant.

network_area
integer

Electric division ID.

owner
integer

ID of a TS_OWNER constant.

plan
integer

Plan ID.

pole
integer

Electric pole ID.

protection
integer

ID of a TS_PROTECTION constant.

remarks
string
scale
number (float)
signal_type
integer

ID of a TS_SIGNAL_TYPE constant.

supply_cable
integer

ID of a TS_SUPPLY_CABLE constant.

survey_amount
string
update_date
string (date-time)
updated_by
string
usage_state
integer

ID of a TS_STATE constant.

warranty_exp_date
string (date)

Computed from install_date and warranty_period.

warranty_fix_type
integer

ID of a TS_WARRANTY_FIX_TYPE constant.

warranty_period
integer

Warranty period in months.

400

Request could not be processed because it was invalid.

Either validation failed (field-level errors are returned), or a generic bad request message is provided.

{
  "email": [
    "Email is required",
    "Email must be valid"
  ],
  "password": [
    "Password must be at least 8 characters"
  ]
}
object

Validation errors by field name or a generic bad request description

details
string

Description of the error for generic bad request responses

property*
Array of string additionalProperties

List of validation error messages for this field name

string

Validation error message

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object

Standard error response payload

details
string

Detailed description of error

403

Request is valid, but for some reason cannot be executed.

For example deletion is forbidden if object has at least one dependent object. This also covers generic access forbidden responses.

object

Standard error response payload

details
string

Detailed description of error

404

Object was not found

{
  "details": "Not found."
}
object

Standard error response payload

details
string

Detailed description of error